Package tigase.xmpp.impl

# Class PrivacyList

java.lang.Object
tigase.xmpp.impl.PrivacyList

public class PrivacyList extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PrivacyList.Item`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PrivacyList`
  `ALLOW_ALL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivacyList(Function<JID,RosterElement> rosterElementGetter, Element el)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PrivacyList`
  `create(Map<BareJID,RosterElement> roster, Element el)`
  `static PrivacyList`
  `create(XMPPResourceConnection session, RosterAbstract rosterUtil, Element el)`
  `Stream<JID>`
  `getBlockedJids()`
  `String`
  `getName()`
  `boolean`
  `isAllowed(JID jid, PrivacyList.Item.Type type)`
  `boolean`
  `isEmpty()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ALLOW_ALL

    public static final PrivacyList ALLOW_ALL

- ## Constructor Details

  - ### PrivacyList

    public PrivacyList(Function<JID,RosterElement> rosterElementGetter, Element el)

- ## Method Details

  - ### create

    public static PrivacyList create(Map<BareJID,RosterElement> roster, Element el)

  - ### create

    public static PrivacyList create(XMPPResourceConnection session, RosterAbstract rosterUtil, Element el) throws NotAuthorizedException, TigaseDBException
    Throws:
      `NotAuthorizedException`
      `TigaseDBException`

  - ### getName

    public String getName()

  - ### getBlockedJids

    public Stream<JID> getBlockedJids()

  - ### isAllowed

    public boolean isAllowed(JID jid, PrivacyList.Item.Type type)

  - ### isEmpty

    public boolean isEmpty()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`